IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FAF_TASKMANAGEMENT') 
 CREATE TABLE T_FAF_TASKMANAGEMENT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FANAMODEL BIGINT DEFAULT 0 NOT NULL,
FREQUESTID BIGINT DEFAULT 0 NOT NULL,
FORG BIGINT DEFAULT 0 NOT NULL,
FPERIOD BIGINT DEFAULT 0 NOT NULL,
FCLOUDID VARCHAR(20) DEFAULT ' ' NOT NULL,
FAPPID VARCHAR(20) DEFAULT ' ' NOT NULL,
FINVOKEBIZINFO VARCHAR(2000) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FTASKTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTEXECTIME DATETIME,
FENDEXECTIME DATETIME,
FCONSUMETIME DECIMAL(15,2) DEFAULT 0 NOT NULL,
FEXECSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FPROGRESS VARCHAR(10) DEFAULT ' ' NOT NULL,
FBUSINESSINFO NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FLOGINFO NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FBUSINESSKEY NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FAF_TASKMANAGEMENT_E') 
 CREATE TABLE T_FAF_TASKMANAGEMENT_E (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMODIFIERFIELD BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATEFIELD DATETIME,
FSUBTASKALGOID VARCHAR(255) DEFAULT ' ' NOT NULL,
FTASKNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FSUBTASKSTARTTIME DATETIME,
FSUBTASKENDTIME DATETIME,
FSUBCONSUMETIME DECIMAL(15,2) DEFAULT 0 NOT NULL,
FSUBTASKSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FSUBTASKCOMMENT NVARCHAR(2000) DEFAULT ' ' NOT NULL
);