﻿/**Begin D:\PDM_UPGRADE\PDM1\PA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FAF_DATACHECKRULE') 
 CREATE TABLE T_FAF_DATACHECKRULE (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(10) DEFAULT '5' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSYSTEMID BIGINT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FRUNMODE CHAR(1) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FAF_DATACHECKRULE_L')
 CREATE TABLE T_FAF_DATACHECKRULE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FAF_DATACHECKRULEENTITY')
 CREATE TABLE T_FAF_DATACHECKRULEENTITY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROMPTMODE CHAR(1) DEFAULT ' ' NOT NULL,
FTIPSTEXT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCHECKCONDITIONDESC NVARCHAR(200) DEFAULT ' ' NOT NULL,
FCHECKCONDITION NVARCHAR(200) DEFAULT ' ' NOT NULL,
FCHECKCONDITION_TAG NCLOB,
FCHECKED CHAR(1) DEFAULT '1' NOT NULL,
FLOGTEXT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FAF_DATACHECKREPORT')
 CREATE TABLE T_FAF_DATACHECKREPORT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSYSTEMID BIGINT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FCHECKRULEID BIGINT DEFAULT 0 NOT NULL,
FCHECKORGID BIGINT DEFAULT 0 NOT NULL,
FCHECKPERIODID BIGINT DEFAULT 0 NOT NULL,
FRUNMODE CHAR(1) DEFAULT '3' NOT NULL,
FBATCHNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCHECKRESULT CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FAF_DATACHECKREPORTINFO') 
 CREATE TABLE T_FAF_DATACHECKREPORTINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONDITIONCHECKRESULT CHAR(1) DEFAULT '3' NOT NULL,
FTIPSTEXT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCHECKCONDITIONID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCHECKCONDITION NVARCHAR(200) DEFAULT ' ' NOT NULL,
FCHECKCONDITION_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FAF_DATACHECKREPORTEXEC') 
 CREATE TABLE T_FAF_DATACHECKREPORTEXEC (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEXECSTARTTIME DATETIME,
FEXECENDTIME DATETIME,
FDURATIONTEXT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FEXECSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FLOGINFO NVARCHAR(200) DEFAULT ' ' NOT NULL,
FLOGINFO_TAG NCLOB
);



/**End D:\PDM_UPGRADE\PDM1\PA_table.sql **/
