-- 删除预置模型创建的表及其索引
IF EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DYNPRE_ABT_VER') DROP INDEX t_pa_dynpre_abt.IDX_PA_DYNPRE_ABT_VER;
IF EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DYNPRE_ABTDIMHASH') DROP INDEX t_pa_dynpre_abt.IDX_PA_DYNPRE_ABTDIMHASH;

IF EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DYNPRE_ABT_D_VER') DROP INDEX T_PA_DYNPRE_ABT_D.IDX_PA_DYNPRE_ABT_D_VER;
IF EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DYNPRE_ABT_DSUMMARYID') DROP INDEX T_PA_DYNPRE_ABT_D.IDX_PA_DYNPRE_ABT_DSUMMARYID;
IF EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DYNPRE_ABT_DDIMHASH') DROP INDEX T_PA_DYNPRE_ABT_D.IDX_PA_DYNPRE_ABT_DDIMHASH;

IF EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DYNPRE_ABT_R3_FRS') DROP INDEX T_PA_DYNPRE_ABT_R3.IDX_PA_DYNPRE_ABT_R3_FRS;
IF EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DYNPRE_ABT_D_R3_FRS') DROP INDEX T_PA_DYNPRE_ABT_D_R3.IDX_PA_DYNPRE_ABT_D_R3_FRS;

IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 't_pa_dynpre_abt') drop table t_pa_dynpre_abt;
IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 't_pa_dynpre_abt_d') drop table t_pa_dynpre_abt_d;
IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_DYNPRE_ABT_R3') drop table T_PA_DYNPRE_ABT_R3;
IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_DYNPRE_ABT_D_R3') drop table T_PA_DYNPRE_ABT_D_R3;
-- 把模型设置为未创建表
update T_PA_ANALYSISMODEL set FTABLENAME = ' ', FTABLENUMBER = ' ' WHERE FID = 1838329752654982144;


